@mixin loading($loading: #ffffff, $loading-size: 5em, $loading-alpha: .2)
  .Loading-content
    display: flex
    height: 100%
    justify-content: center
    align-items: center
    flex-direction: column
    .Loading-indicator
      &, &:after
        border-radius: 50%
        width: $loading-size
        height: $loading-size
      font-size: 10px
      position: relative
      text-indent: -9999em
      border-top: $loading-size/8 solid rgba($loading, $loading-alpha)
      border-right: $loading-size/8 solid rgba($loading, $loading-alpha)
      border-bottom: $loading-size/8 solid rgba($loading, $loading-alpha)
      border-left: $loading-size/8 solid $loading
      transform: translateZ(0)
      animation: loading 1.1s infinite linear

@keyframes loading
  0%
    transform: rotate(0deg)
  100%
    transform: rotate(360deg)
